Bug 147942 - alsa-lib should include alsa-oss
alsa-lib should include alsa-oss
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
: FutureFeature
Depends On: 130593
Blocks: 147941
  Show dependency treegraph
 
Reported: 2005-02-13 12:10 EST by Naadir Jeewa
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-28 03:28:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Naadir Jeewa 2005-02-13 12:10:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20050203 Firefox/1.0

Description of problem:
So that AC97 devices can make full use of software mixing, kernel OSS emulation should be obsoleted in favour of using AOSS.

Not sure if this is resolved yet, as i'm using alsa-lib compiled via portage.

Applications which are known to use OSS (such as RealPlayer), should have a script in /usr/bin that runs LD_PRELOAD first.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use an OSS application
  

Actual Results:  OSS app uses kernel OSS emulation

Expected Results:  It should use AOSS

Additional info:
Comment 1 Naadir Jeewa 2005-02-13 12:49:44 EST
We should compile a list of applications that will need
"LD_PRELOAD=/usr/lib/libaoss.so" added to their scripts.

* - Firefox see (http://bugzilla.redhat.com/beta/show_bug.cgi?id=147941)
* - Mozilla
* - Helix? (Work on Alsa isn't complete AFAIK)
Comment 2 Mike Hearn 2005-07-14 09:16:47 EDT
Actually, a better way to go would be to LD_PRELOAD it into the entire desktop
session. That's the only way it'll "Just Work". Unfortunately alsa-oss isn't
quite stable enough for that yet. 

Note You need to log in before you can comment on or make changes to this bug.